Commits

Kevin Veroneau committed 30a9d8a

First attempt at converting Web Development live-build to latest version of live-build included in Wheezy.

Comments (0)

Files changed (23)

+eclipse/
+firefox/
+cache/

webdev-wheezy/auto/build

+#!/bin/sh
+
+lb build noauto "${@}" 2>&1 | tee binary.log

webdev-wheezy/auto/clean

+#!/bin/sh
+
+lb clean noauto "${@}"
+rm -f config/binary config/bootstrap config/chroot config/common config/source
+rm -f binary.log

webdev-wheezy/auto/config

+#!/bin/sh
+
+lb config noauto \
+	-b iso \
+	--apt-indices false \
+	--apt-recommends false \
+	--memtest none \
+	--iso-volume "WebDev" \
+	--iso-preparer "Kevin Veroneau" \
+	--iso-publisher "Kevin Veroneau Consulting" \
+	--bootappend-live "toram hostname=webdev" \
+	--archive-areas "main contrib non-free" \
+	"${@}"
+
+# Move this right below packages-lists and uncomment to enable the live system to work better with VirtualBox.
+#	--packages "virtualbox-ose-guest-x11" \

webdev-wheezy/config/archives/deb-multimedia.key.chroot

Binary file added.

webdev-wheezy/config/archives/deb-multimedia.list.chroot

+deb http://sys1:9999/multimedia/ squeeze main non-free

webdev-wheezy/config/archives/google-chrome.list.chroot

+deb http://dl.google.com/linux/chrome/deb/ stable main

webdev-wheezy/config/hooks/eclipse.chroot

+#!/bin/sh
+
+chown -R 1000:1000 /opt/eclipse
+ln -s /opt/eclipse/eclipse /usr/local/bin/eclipse

webdev-wheezy/config/hooks/firefox.chroot

+#!/bin/sh
+
+chown -R 1000:1000 /opt/firefox
+ln -s /opt/firefox/firefox /usr/local/bin/firefox

webdev-wheezy/config/includes.chroot/etc/X11/icewm/preferences

+NetworkStatusDevice="eth0"
+TaskBarShowShowDesktopButton=0
+TaskBarShowWindowListMenu=0
+ShowHelp=0
+ShowAbout=0
+ShowRun=1
+ShowWindowList=0
+MultiByte=0
+MailCommand="sylpheed"
+LockCommand="xset dpms force off"
+RunCommand="grun"
+ShutdownCommand="sudo halt"
+RebootCommand="sudo reboot"
+WorkspaceNames=" 1 ", " 2 ", " 3 ", " 4 "
+DesktopBackgroundImage="/opt/wallpaper.jpg"

webdev-wheezy/config/includes.chroot/etc/X11/icewm/toolbar

+prog XTerm xterm x-terminal-emulator
+prog "Firefox" iceweasel firefox
+prog "Xfe" xfe xfe
+prog "Eclipse" /opt/eclipse/icon.xpm eclipse

webdev-wheezy/config/includes.chroot/etc/bash.bashrc

+# System-wide .bashrc file for interactive bash(1) shells.
+
+# To enable the settings / commands in this file for login shells as well,
+# this file has to be sourced in /etc/profile.
+
+# If not running interactively, don't do anything
+[ -z "$PS1" ] && return
+
+# check the window size after each command and, if necessary,
+# update the values of LINES and COLUMNS.
+shopt -s checkwinsize
+
+# set variable identifying the chroot you work in (used in the prompt below)
+if [ -z "$debian_chroot" ] && [ -r /etc/debian_chroot ]; then
+    debian_chroot=$(cat /etc/debian_chroot)
+fi
+
+# set a fancy prompt (non-color, overwrite the one in /etc/profile)
+PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
+
+# Commented out, don't overwrite xterm -T "title" -n "icontitle" by default.
+# If this is an xterm set the title to user@host:dir
+#case "$TERM" in
+#xterm*|rxvt*)
+#    PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
+#    ;;
+#*)
+#    ;;
+#esac
+
+# enable bash completion in interactive shells
+if [ -f /etc/bash_completion ] && ! shopt -oq posix; then
+    . /etc/bash_completion
+fi
+
+# if the command-not-found package is installed, use it
+if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found ]; then
+	function command_not_found_handle {
+	        # check because c-n-f could've been removed in the meantime
+                if [ -x /usr/lib/command-not-found ]; then
+		   /usr/bin/python /usr/lib/command-not-found -- $1
+                   return $?
+                elif [ -x /usr/share/command-not-found ]; then
+		   /usr/bin/python /usr/share/command-not-found -- $1
+                   return $?
+		else
+		   return 127
+		fi
+	}
+fi

webdev-wheezy/config/includes.chroot/etc/hosts

+127.0.0.1	localhost webdev
+
+# The following lines are desirable for IPv6 capable hosts
+::1     ip6-localhost ip6-loopback
+fe00::0 ip6-localnet
+ff00::0 ip6-mcastprefix
+ff02::1 ip6-allnodes
+ff02::2 ip6-allrouters

webdev-wheezy/config/includes.chroot/etc/skel/.icewm/theme

+Theme="Infadel2/default.theme"

webdev-wheezy/config/includes.chroot/opt/README.txt

+This directory should contain the following:
+
+eclipse/      -  The extracted Eclipse IDE files.
+firefox/      -  The extracted Firefox binary distribution
+python/       -  Several virtualenvs for Python development
+wallpaper.jpg -  Your favorite wallpaper which will be automatically set for the LiveDVDs desktop

webdev-wheezy/config/includes.chroot/opt/wallpaper.jpg

Added
New image

webdev-wheezy/config/package-lists/chrome.list.chroot

+google-chrome-stable

webdev-wheezy/config/package-lists/icewm.list.chroot

+icewm
+icewm-themes
+iceweasel
+xfe
+nedit
+myspell-en-us
+sylpheed
+aspell-en
+alsamixergui
+xchat
+grun
+zenity
+
+ttf-aenigma
+ttf-bitstream-vera
+ttf-dustin
+ttf-engadget
+ttf-sjfonts
+ttf-summersby
+ttf-xfree86-nonfree
+
+bash-completion

webdev-wheezy/config/package-lists/minimal.list.chroot

+eject file user-setup sudo
+live-config

webdev-wheezy/config/package-lists/standard-x11.list.chroot

+xorg menu
+alsa-base alsa-utils
+keyboard-configuration

webdev-wheezy/config/package-lists/standard.list.chroot

+console-setup console-common kbd
+locales

webdev-wheezy/config/package-lists/webdev.list.chroot

+python-pip
+python-virtualenv
+python-imaging
+subversion
+git
+mercurial
+openssh-client
+python-dev
+python-doc
+python-docutils
+python-pygame
+python-tz
+python-twisted
+python-openssl
+python-svn
+sqlite3
+openjdk-6-jre
+flashplayer-mozilla
+sshfs
+unzip
+siege
+psmisc
+mysql-workbench
+rubygems1.8

webdev-wheezy/config/preseed/passwd.cfg.chroot

+debconf passwd/user-default-groups string audio cdrom dialout floppy video plugdev netdev powerdev fuse